Subject: bug#58980: 29.0.50; Mouse wheel scroll twitches up sometimes when I scroll down

From: Mickey Petersen <[email-masked]>
Date: Fri, 4 Nov 2022 11:31:58 +0000

On 04/11/2022 11:30 am, Po Lu wrote:
> Mickey Petersen <[email-masked]> writes:
>
>> I can confirm that this fix now resolves both the regression and the
>> original issue.
>>
>> I'll keep you posted if I discover any other oddities. (Pixel scroll
>> precision mode also works fine, by the way!)
> Thanks for testing.  Please be sure to report any future issues here, as
> we want Emacs 29 to be released with wheel movement working everywhere,
> including on odd hardware setups that I cannot test myself (my guess is
> that you use a trackpad to move the pointer but a mouse wheel to scroll,
> or have some integrated keyboard-trackpad device.)
Actually my setup is rather vanilla: desktop mouse with a 'clicky' 
scroll wheel -- as opposed to a smooth-scrolling one -- running Ubuntu 
in a VM. So the mouse hardware is definitely an emulated one as far as 
X/Linux is concerned.
>
> With that, I'm closing this bug.